Page MenuHomewrite.as

List collections
Closed, ResolvedPublic

Description

Overview

Add a command that allows users to list collections on their account.

Implementation

I'm thinking the command should be writeas blogs or writeas colls. With this, we should rename the writeas list command to writeas posts.

The list should include the collection alias (since users need this for other CLI commands) followed by the collection title (to help users remember what a collection is for). Ideally, these columns would be tab-separated to make things look nice, e.g:

matt      Matt's blog
notebook  Notebook

Event Timeline

matt created this task.May 29 2019, 2:58 PM
matt moved this task from Backlog to Next Up on the Write.as CLI board.May 29 2019, 4:58 PM
matt assigned this task to robjloranger.

found a cool little library for neat tabbed columns

https://github.com/ryanuber/columnize

robjloranger added a comment.EditedMay 30 2019, 11:04 PM

found a cool little library for neat tabbed columns
https://github.com/ryanuber/columnize

this is no longer needed, the library is not as flexible as using a text/tabwriter

robjloranger moved this task from Backlog to Next Up on the WriteFreely CLI board.Jun 5 2019, 10:40 PM

I went with colls, but maybe blogs is better?

matt closed this task as Resolved.Jun 10 2019, 4:00 PM